# PatternContentValidator class

Pattern content validator.

Inheritance
  - Object
  - ContentValidator
  - PatternContentValidator

## Constructors

PatternContentValidator.new({String allowedCharacters = "", required String pattern, bool matchSubstring = false, PatternGrammar patternGrammar = PatternGrammar.WILDCARD})
PatternContentValidator.fromJson(Map<String, dynamic> json)
  factory

## Properties

allowedCharacters ↔ String
  OCR whitelist. Empty string means no restriction.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
matchSubstring ↔ bool
  Whether the pattern should match the whole string or just a substring.
  getter/setter pair
pattern ↔ String
  Pattern to match. It can be a simple pattern or a regular expression.
  getter/setter pair
patternGrammar ↔ PatternGrammar
  Grammar of pattern matching.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited